using System.ComponentModel.DataAnnotations;

namespace AutomatizovanySklad.Core.Entity {
  public class Adresa {
    public int Id { get; set; }

    [StringLength(100)]
    [Display(Name = "Město")]
    public string Mesto { get; set; }

    [StringLength(100)]
    public string Ulice { get; set; }

    [StringLength(100)]
    [Display(Name = "Číslo")]
    public string Cislo { get; set; }

    [Display(Name = "PSČ")]
    [MinLength(5)]
    [MaxLength(5)]
    [RegularExpression("([1-9][0-9]*)")]
    public string PSC { get; set; }
  }
}